### Function

# GLib build_filename_valist

since: 2.56

#### Declaration

    gchar*
    g_build_filename_valist (
      const gchar* first_element,
      va_list* args
    )

#### Description

Creates a filename from a list of elements using the correct separator for the current platform.

Behaves exactly like g_build_filename(), but takes the path elements as a va_list.

This function is mainly meant for implementing other variadic arguments functions.

Available since: 2.56

This function is not directly available to language bindings.

#### Parameters

`first_element`

  Type: `const gchar*`

  The first element in the path.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

`args`

  Type: `va_list*`

  Va_list of remaining elements in path.

  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

The newly allocated path.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a file system path, using the OS encoding.